Package com.smartgwt.client.types

# Enum NavigationBarControls

java.lang.Object
java.lang.Enum<NavigationBarControls>
com.smartgwt.client.types.NavigationBarControls

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<NavigationBarControls>`, `Constable`

public enum NavigationBarControls extends Enum<NavigationBarControls> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LEFT_BUTTON`
  `RIGHT_BUTTON`
  `TITLE_LABEL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static NavigationBarControls`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static NavigationBarControls[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT_BUTTON

    public static final NavigationBarControls LEFT_BUTTON

  - ### TITLE_LABEL

    public static final NavigationBarControls TITLE_LABEL

  - ### RIGHT_BUTTON

    public static final NavigationBarControls RIGHT_BUTTON

- ## Method Details

  - ### values

    public static NavigationBarControls[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static NavigationBarControls valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`